summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author David Spencer2010-09-12 18:17:26 +0200
committer Robby Workman2010-09-13 06:08:54 +0200
commit959b26fabdc770a2454b560eb1f908693cdfea7d (patch)
tree46087b27cbc341b785b9a2ed1a45a8f89f88a85e /graphics
parent37ec4c776304763b0c3fb65b1b9773c873bca38d (diff)
downloadslackbuilds-959b26fabdc770a2454b560eb1f908693cdfea7d.tar.gz
graphics/darktable: Added (digital photography application)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/darktable/README9
-rw-r--r--graphics/darktable/darktable-0.6-gkeyring.patch66
-rw-r--r--graphics/darktable/darktable.SlackBuild100
-rw-r--r--graphics/darktable/darktable.info10
-rw-r--r--graphics/darktable/doinst.sh20
-rw-r--r--graphics/darktable/slack-desc19
6 files changed, 224 insertions, 0 deletions
diff --git a/graphics/darktable/README b/graphics/darktable/README
new file mode 100644
index 0000000000..07cbb46700
--- /dev/null
+++ b/graphics/darktable/README
@@ -0,0 +1,9 @@
+Darktable is a virtual lighttable and darkroom for photographers.
+It manages your digital negatives in a database and lets you view them
+through a zoomable lighttable. It also enables you to develop raw images
+and enhance them. This project tries to fill the gap between the many
+excellent existing free raw converters and image management tools (such
+as ufraw or f-spot).
+
+This requires lensfun and GConf. gnome-keyring is optional (if you want
+to enable it, pass GKEYRING=yes to the script).
diff --git a/graphics/darktable/darktable-0.6-gkeyring.patch b/graphics/darktable/darktable-0.6-gkeyring.patch
new file mode 100644
index 0000000000..201b1b2213
--- /dev/null
+++ b/graphics/darktable/darktable-0.6-gkeyring.patch
@@ -0,0 +1,66 @@
+diff --git a/src/common/pwstorage/backend_gkeyring.c b/src/common/pwstorage/backend_gkeyring.c
+index e5fb43f..2dd0d56 100644
+--- a/src/common/pwstorage/backend_gkeyring.c
++++ b/src/common/pwstorage/backend_gkeyring.c
+@@ -20,7 +20,9 @@
+
+ #include "backend_gkeyring.h"
+ #include "control/conf.h"
++#ifdef HAVE_GNOME_KEYRING
+ #include <gnome-keyring.h>
++#endif
+ #include <glib.h>
+ #define DARKTABLE_KEYRING PACKAGE_NAME
+ #undef DARKTABLE_KEYRING
+@@ -29,6 +31,7 @@ const backend_gkeyring_context_t*
+ dt_pwstorage_gkeyring_new()
+ {
+ backend_gkeyring_context_t *context = (backend_gkeyring_context_t*)g_malloc(sizeof(backend_gkeyring_context_t));
++#ifdef HAVE_GNOME_KEYRING
+ #ifdef DARKTABLE_KEYRING
+ /* Check if darktable keyring exists, if not create it */
+ gboolean keyring_exists = FALSE;
+@@ -56,13 +59,14 @@ dt_pwstorage_gkeyring_new()
+ /* unlock darktable keyring */
+ // Keep this locked until accessed..
+ //gnome_keyring_lock_sync(DARKTABLE_KEYRING);
+-
++#endif
+ return context;
+ }
+
+ gboolean
+ dt_pwstorage_gkeyring_set(const gchar* slot, GHashTable* table)
+ {
++#ifdef HAVE_GNOME_KEYRING
+ GnomeKeyringResult result=0;
+ GnomeKeyringAttributeList * attributes;
+ gchar name[256]="Darktable account information for ";
+@@ -104,6 +108,9 @@ dt_pwstorage_gkeyring_set(const gchar* slot, GHashTable* table)
+ gnome_keyring_attribute_list_free(attributes);
+
+ return (result == GNOME_KEYRING_RESULT_OK);
++#else
++ return FALSE;
++#endif
+ }
+
+ GHashTable*
+@@ -111,7 +118,7 @@ dt_pwstorage_gkeyring_get(const gchar* slot)
+ {
+
+ GHashTable* table = g_hash_table_new (g_str_hash,g_str_equal);
+-
++#ifdef HAVE_GNOME_KEYRING
+ /* find item for slot */
+ GList *items=NULL;
+ GnomeKeyringAttributeList *attributes;
+@@ -144,5 +151,6 @@ dt_pwstorage_gkeyring_get(const gchar* slot)
+ gnome_keyring_attribute_list_free(attributes);
+ gnome_keyring_found_free (items->data);
+ }
++#endif
+ return table;
+ }
+--
+1.7.1
diff --git a/graphics/darktable/darktable.SlackBuild b/graphics/darktable/darktable.SlackBuild
new file mode 100644
index 0000000000..6450cf0dcd
--- /dev/null
+++ b/graphics/darktable/darktable.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for darktable
+# Written by David Spencer <baildon.research@googlemail.com>
+# This script is dedicated to the public domain
+
+PRGNAM=darktable
+VERSION=${VERSION:-0.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+if [ ${GKEYRING:-no} = "yes" ]; then
+ WITHGKEYRING="--enable-gkeyring"
+else
+ WITHGKEYRING="--disable-gkeyring"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Suppress warning from gconf
+sed -i -e '/gettext_domain/d' darktable.schemas.in
+
+# Fix --disable-gnome-keyring
+# http://sourceforge.net/mailarchive/forum.php?thread_name=4C7B76FF.6010503%40gmail.com&forum_name=darktable-devel
+patch -p1 <$CWD/darktable-0.6-gkeyring.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux \
+ $WITHGKEYRING
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# configure --docdir is ignored, so fix the wrongly installed docs
+mv $PKG/usr/share/doc $PKG/usr
+mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+# Add a few missed docs
+cp -a ChangeLog NEWS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/darktable/darktable.info b/graphics/darktable/darktable.info
new file mode 100644
index 0000000000..43e658b8bf
--- /dev/null
+++ b/graphics/darktable/darktable.info
@@ -0,0 +1,10 @@
+PRGNAM="darktable"
+VERSION="0.6"
+HOMEPAGE="http://darktable.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/darktable/darktable-0.6.tar.gz"
+MD5SUM="64a0c4ba2000605137ba2e57434ee3fe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Spencer"
+EMAIL="baildon.research@googlemail.com"
+APPROVED="rworkman"
diff --git a/graphics/darktable/doinst.sh b/graphics/darktable/doinst.sh
new file mode 100644
index 0000000000..94759d4eae
--- /dev/null
+++ b/graphics/darktable/doinst.sh
@@ -0,0 +1,20 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install darktable.schemas
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/graphics/darktable/slack-desc b/graphics/darktable/slack-desc
new file mode 100644
index 0000000000..8e76dc14f7
--- /dev/null
+++ b/graphics/darktable/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+darktable: darktable (digital photography application)
+darktable:
+darktable: Darktable is a virtual lighttable and darkroom for photographers.
+darktable: It manages your digital negatives in a database and lets you view
+darktable: them through a zoomable lighttable. It also enables you to develop
+darktable: raw images and enhance them. This project tries to fill the gap
+darktable: between the many excellent existing free raw converters and image
+darktable: management tools (such as ufraw or f-spot).
+darktable:
+darktable: Homepage: http://darktable.sourceforge.net/
+darktable: